<?
global $lang;

	//$modreg = 5;
	include "./main/contents/ob_default.php";
	
	if(!isset($errmsg)) $errmsg = "";

#
if ($azione=="regAz") {
	
	
	$prosegui = true;
	
	$insert = true;
	
	$err = 0;
	
	$codeerr = 0;
	
	$idu = -1;
	

	//controllo campi obbligatori
	 $a_usrparams = find_post("usr_");
     $usrparams = serialize($a_usrparams); 
     
     add_log(Date("Y-m-d H:i")." REGISTRAZIONE AZIENDA: ".$usrparams."\n\n");
    
    foreach ($a_usrparams as $k => $v){
    	
    	#echo $k. " => ". $v."<br/>";
    	$a_usrparams[$k] = myencodeTxt($v);
    	
    	if($v=="" && isset($ob[$k]) && $ob[$k]=="1") {
    		$err++;
    		$prosegui = false;
    		
    		$errmsg = "Compilare tutti i campi obbligatori";
    	}
    	
    }
    extract($a_usrparams);
    
     $a_usrfparams = find_post("usrf_");
     $usrfparams = serialize($a_usrfparams); 
     
     add_log(Date("Y-m-d H:i")." REGISTRAZIONE AZIENDA: ".$usrfparams."\n\n");
    
    foreach ($a_usrfparams as $k => $v){
    	
    	#echo $k. " => ". $v."<br/>";
    	$a_usrfparams[$k] = myencodeTxt($v);
    	
    	if($v=="" && $ob[$k]=="1") {
    		$err++;
    		$prosegui = false;
    		
    		$errmsg = "Compilare tutti i campi obbligatori";
    	}
    	
    }
    extract($a_usrfparams);
    
    if($chk_condizioni !='1')# || $chk_condizioni2 != '1'
    {
    	
    	$prosegui = false;
    		
    		$errmsg .= "<br/>Accettarre le condizioni d'uso e le condizioni sulla privacy";
    }
    
    $err = 0;
    
    
    if($prosegui){
    	
    	$usr_cf = strtoupper($usr_cf);
    	
    	//controllo unicit� email
    	$usr_username = $a_usrparams["usr_".$_field_username];
    	
    	$sql = "SELECT COUNT(*) as n FROM $tbl_utenti WHERE username ='$usr_username' AND level <= $MAXUSERSLEVEL AND cancellato='0'";
    	$mydb->DoSelect($sql);
    	$r = $mydb->GetRow();
    	
    	$n = $r['n'];
    	
    	if($n > 0){
    		
    		
    		
    	    $prosegui = false;
    		
    		$err++;
    		
    		$errmsg = $lang['errore_email_esistente'];#"L'indirizzo email inserito &egrave; gi&agrave; presente nei nostri archivi.";
    		
    		$codeerr = 1;
    		
    		
    		
    	} 
    	//controllo unicit� piva
    	
    	if(!isset($nopiva)) $nopiva = '0';
    	
    	if($usr_piva!="" && $nopiva!='1'){
    	
    	$sql = "SELECT COUNT(*) FROM anagrafiche_anag as ta, anagrafiche as tu WHERE ta.piva ='$usr_piva' AND tu.cancellato='0' AND tu.id_anag=ta.id_anag";
    	$mydbG->DoSelect($sql);
    	$r = $mydbG->GetRow();
    	
    	$n = $r[0];
    	
    	//debug 
    	if($n > 0 ){
    		
    		$prosegui = false;
    		
    		$err++;
    		
    		$errmsg = "La Partita IVA inserita &egrave; gi&agrave; presente nei nostri archivi.";
    		
    	} 
    	} else {
    		
    		$sql = "SELECT COUNT(*) FROM anagrafiche_anag as ta, anagrafiche as tu WHERE ta.cfiscale ='$usr_cf' AND tu.cancellato='0' AND tu.id_anag=ta.id_anag";
    	$mydbG->DoSelect($sql);
    	$r = $mydbG->GetRow();
    	
    	$n = $r[0];
    	
    	//debug 
    	if($n > 0 ){
    		
    		$prosegui = false;
    		
    		$err++;
    		
    		$errmsg = "Il Codice Fiscale inserito &egrave; gi&agrave; presente nei nostri archivi.";
    		
    	} 
    		
    	}
    	
    	//controllo formato piva
    	if(!(strlen($usr_piva)==11 || strlen($usr_piva)==13) && $nopiva!='1' && $usr_codice_paese==114)#|| !preg_match("/[0-9]/", $usr_piva) 
    	{
    		$prosegui = false;
    		
    		$err++;
    		
    		$errmsg = "Il formato della Partita IVA inserita non &egrave; corretto.";
    	}

    	
    	
    	if($err==0) {
    		
    		if($insert){
    		
    		if(!isset($usr_password)) $usr_password = generate_password(8);
                
                    $_is_persona = 0;

                $sql = "INSERT INTO $tbl_utenti (nome, cognome,  username, password,  data_ins, tipo, tipo_reg, level, email, rs, tel1, telefono) VALUES (";
                $sql .= "'$usr_nome', '$usr_cognome', '$usr_username', '$usr_password',  NOW(), '$_is_persona', '$modereg', $newlevel, '$usr_username', '$usr_rs', '$usr_telefono', '$usr_telefono') ";

    		$mydb->ExecSql($sql);
    		//echo $sql;
    		
    		$idu = $mydb->LastInsertedId;
    		
    		}
    		
    		if($idu>1)
    		{
    			
                    add_log(Date("Y-m-d H:i")." REGISTRAZIONE UTENTE(AZIENDA): OK ".$idu."\n\n");
                    
                    $usr_nome_ok    = strtoupper($usr_nome);
                    $usr_cognome_ok = strtoupper($usr_cognome);
                    
                    $id_resp = 0;
                    
                    //Inserisco sempre il record anche come contatto
                    
                        $stato="NA"; 
    		     	
    		     	$sql = "INSERT INTO contatti ( id_circuito, nome, cognome, email, data_reg,  id_utente_portale, stato, tipo) VALUES ( $_id_circuito, " ;
			        $sql .= "'$usr_nome', '$usr_cognome',  '$usr_email',  NOW(),  $idu, '$stato', 9) ";
                        
              $mydbG->ExecSql($sql);
					
              $id_resp = $mydbG->LastInsertedId;

              #il contatto è sempre una persona
              if(true)
              {

   		     	$sql = "INSERT INTO contatti_anag ( id, cognome, nome, telefono) VALUES ( ";
			$sql = $sql."$id_resp, '$usr_cognome', '$usr_nome', '$usr_telefono')";
				        
			$mydbG->ExecSql($sql);	     
                        
                        $usr_nome_ok = "";
                        $usr_cognome_ok = $usr_rs;
    		     
                    }  else {
                        
                        //se è una persona fisica i dati della sede coincidono
                        $sql = "INSERT INTO contatti_anag ( id, cognome, nome, tel, cell,";
                        $sql .= " resi_via, resi_comune, resi_provincia, resi_cap, resi_est_localita, resi_est_nazione, ";
			$sql .= "domi_via, domi_comune, domi_provincia, domi_cap, domi_est_localita, domi_est_nazione,  nomebreve, resi_localita, domi_localita ";
			$sql = $sql." ) VALUES ( $id_resp, '$usr_cognome', '$usr_nome', '$usr_telefono', '$usr_cellulare',";
                        $sql = $sql."'$usr_indirizzo', '$usr_comune', '$usr_provincia', ";
			$sql = $sql."'$usr_cap', '$usr_citta', '$usr_codice_paese', ";
				
			$sql = $sql."'$usr_domi_indirizzo', '$usr_domi_comune', '$usr_domi_provincia', ";
			$sql = $sql."'$usr_domi_cap', '$usr_domi_est_localita', '$usr_domi_codice_paese', '', '$usr_localita', '$usr_domi_localita' )";
				        
			$mydbG->ExecSql($sql);	     
                        
                    }  
					
                    if(!isset($tipoanag) || $tipoanag=="") $tipoanag = 3; //3=azienda
                    $sql = "INSERT INTO anagrafiche ( id_circuito, nome, cognome,  data_reg, email, id_responsabile, id_utente_portale, tipo ) VALUES ( $_id_circuito, " ;
                    $sql .= "'$usr_nome_ok', '$usr_cognome_ok',   NOW(), '".($usrf_email ?? '')."', $id_resp, $idu , $tipoanag) ";
				        
                    $mydbG->ExecSql($sql);
						
                    $id_azienda = $mydbG->LastInsertedId;
                    
                    $codice = str_pad($id_azienda, 6, "0", 0);
                    
                    $sql = "UPDATE anagrafiche SET codice = '$codice', id_fatturazione=$id_azienda WHERE id_anag=$id_azienda";
                    $mydbG->ExecSql($sql);add_log(Date("Y-m-d H:i")." ".$sql."\n\n");
						
                    $sql = "UPDATE t_utenti SET id_anag=$id_azienda, id_anag=$id_azienda, id_contatto=$id_resp WHERE id_utenti=$idu";
                    $mydb->ExecSql($sql);
				        
                    if(!isset($usr_codice_paese)) $usr_codice_paese = 114;

					$sql = "INSERT INTO anagrafiche_anag ( id_anag, cognome, rs, nome, cfiscale,  piva, pec, ";
				        $sql .= " resi_via, resi_civico, resi_comune, resi_provincia, resi_cap, resi_est_localita, resi_est_nazione, resi_localita , telefono ";
				        #$sql .= "domi_via, domi_civico, domi_comune, domi_provincia, domi_cap, domi_est_localita, domi_est_nazione,  nomebreve,  domi_localita, tel ";
				        $sql .= ", cod_sdi) VALUES ( ";
				        $sql = $sql."$id_azienda, '$usr_cognome_ok', '$usr_rs','$usr_nome_ok', '$usr_cf', '$usr_piva', '$usr_pec',";
				        
				        $sql = $sql."'$usr_indirizzo', '$usr_civico', '$usr_comune', '$usr_provincia', ";
				        $sql = $sql."'$usr_cap', '$usr_citta', '$usr_codice_paese', ";
				
				        #$sql = $sql."'$usr_domi_indirizzo', '$usr_domi_civico', '$usr_domi_comune', '$usr_domi_provincia', ";
				        #$sql = $sql."'$usr_domi_cap', '$usr_domi_est_localita', '$usr_domi_codice_paese', ";'$usr_domi_localita',

				        $sql = $sql." '$usr_localita',  '".($usrf_telefono ?? '')."', '$usrf_sdi')";

                                        $mydbG->ExecSql($sql);
						
		    if($_is_persona == 0 || 1)
                    {		        
				        $sql = "INSERT INTO anagrafiche_contatti ( id_anag, id_contatto, referente ) VALUES ($id_azienda, $id_resp, '1')";
				        $mydbG->ExecSql($sql);
                    }

				        
				        #$sql = "SELECT id_gruppo FROM gruppi_aziende WHERE LOWER(nome) = 'clienti'";

						$sql = "INSERT INTO anagrafiche_gruppi (id_anag, id_gruppo) VALUES ($id_azienda , $_gruppoclienti)";
						$mydbG->ExecSql($sql);

    		} else {
    			
    			$prosegui = false;
    			
    			$errmsg = "Si &egrave; verificato un errore.<br/>Se il problema permane potete scrivere all'indirizzo <a href=\"mailto:$_emailwm\">$_emailwm</a>";
    			
    			add_log(Date("Y-m-d H:i")." REGISTRAZIONE UTENTE: KO ".$sql."\n\n");
    			
    		}
    	}
    }

	    
	if($prosegui){
		
		    //STEp AGGIUNTIVI

      /*      
		    $sql = "SELECT password FROM t_utenti WHERE id_utenti = $idu";
			$mydb->DoSelect($sql);
			$r = $mydb->GetRow();
			
			inviaEmailRegAzPsw($idu,$r['password']);
			*/
			include $incpath."contents/reg_end.php";
			
		   
		    
		    
	} else  {

		$azione="r01";
	
	}




}
// ////////////////////////////////////////////////////////////////////////////////////////////////

if ($azione=="r01") {
	
	$paesi = getNazioni();
		
?>
<script type="text/javascript">

function checkdata(){

  form = document.frmins;

  var classError = "input_evi";

	var naz = form.usr_codice_paese.value;

	updNaz(naz);
	
	const requiredFields = form.querySelectorAll('[required]');
  let hasErrors = false;
    
    requiredFields.forEach(field => {
        if (!field.value.trim()) {
            field.className = classError;
            field.focus();
            hasErrors = true;
        }
    });

  res = !hasErrors;

  if(!res) {
   // alert('Compilare tutti i campi obbligatori');
    return false;
  }

	var msgerr1 = '<?=addslashes($lang['errore_email'])?>';
	var msgerr2 = '<?=addslashes($lang['errore_passw'])?>';
	var msgerr4 = '<?=addslashes(utf8_encode($lang['errore_privacy']))?>';
  var msgerr5 = '<?=addslashes($lang['errore_contratto'])?>';

	<? if($modereg!=3){ ?>
		//if(document.frmins.privacy.value=='0'){ -----------------------------------------------
		if(document.frmins.chk_condizioni.checked==false){
			
			alert(msgerr4);
			
		 return false;
			
		}

		if(document.frmins.chk_condizioni2.checked==false){
			
			alert(msgerr5);
			
		return false;
			
		}
<? } else { ?>

         if(document.frmins.chk_condizioni.value!='1'){
			
			alert(msgerr4);
			
		return false;
			
		}
		
		
         if(document.frmins.chk_condizioni3.value!='1' || document.frmins.chk_condizioni4.value!='1'){
			
			alert(msgerr6);
			
		return false;
			
		}


<? } ?>
	<? if(false){ ?>
	if(document.frmins.usr_email.value != document.frmins.usr_email2.value){
		
		campo = document.getElementById('usr_email');
		campo.focus();    
		campo.className = 'input_evi';   
		
		campo = document.getElementById('usr_email2');
		campo.focus();    
		campo.className = 'input_evi';   
				
		alert(msgerr1);
		return false;
		
	}
<? } ?>
		if(document.frmins.usr_password.value != document.frmins.usr_password2.value){
		
		campo = document.getElementById('usr_password');
		campo.focus();    
		campo.className = 'input_evi';   
		
		campo = document.getElementById('usr_password2');
		campo.focus();    
		campo.className = 'input_evi';   
				
		alert(msgerr2);
		return false;
		
	}
	
	if(res){
	
	waitpage();
	
	document.frmins.submit();
	
	}
	}
	
	function updNaz(naz){
		
		if(naz==114){
			
			showlayer('cntprovincia');
			showlayer('cntcomune');
			showlayer('cntcap');
			showlayer('cntlocalita');
			hidelayer('cntcitta');

			
		} else {
			
			hidelayer('cntprovincia');
			hidelayer('cntcomune');
			//hidelayer('cntcap');
			hidelayer('cntlocalita');
			showlayer('cntcitta');
			
			
		}
	}
	
	function updDomiNaz(naz){
		
		if(naz==114){
			
			showlayer('cntdomiprovincia');
			showlayer('cntdomicomune');
			showlayer('cntdomicap');
			showlayer('cntdomilocalita');
			hidelayer('cntdomicitta');
			
			
		} else {
			
			hidelayer('cntdomiprovincia');
			hidelayer('cntdomicomune');
			hidelayer('cntdomicap');
			hidelayer('cntdomilocalita');
			showlayer('cntdomicitta');
			
		}
	}
	
	function toggleCF(){
		
		if(document.frmins.cfpiva.checked) document.frmins.usr_cf.value = document.frmins.usr_piva.value;
		
	}
	
	function togglePIVA(){
		
		if(document.frmins.nopiva.checked) document.frmins.usr_piva.value = '-';
		
	}
        
function toggleIndFatt(indf)
{
    document.frmins.usrf_valoreFatt.value='';
    el = document.getElementById('usrf_indirizzoFattValue');
    
    if(indf=='')
    {
        el.placeholder = '';
        setClass('usrf_indirizzoFattValue','readonly');
        
    } else {
        
        setClass('usrf_indirizzoFattValue','');
        
        if(indf=='pec') {
        el.placeholder = 'Inserire la pec...';
        pec = document.frmins.usr_pec.value;
        if(pec!="") document.frmins.usrf_valoreFatt.value=pec;
        }
        else el.placeholder = 'Inserire il codice SDI...';
    }
}

</script>
<div class="spessore"></div>
<div class="spessore"></div>
<div><a href="<?=$language?>/registrazione/" class="nodec"><div class="rbutton2"><p>INDIETRO</p></div></a></div>
<p>&nbsp;</p>
<p class="titolo"><?=$txtmodreg?></p>

<?
if($errmsg!=""){
?>
<div class="testo_err" align="center"><?=$errmsg?></div>
<? } ?>
<?

if($modereg==3) echo Get_TXTArea('registrazione_9',$language)."<br/>";

?>
<p>&nbsp;</p>
<p class="testosm"><?=$lang['campi_obbligatori']?></p>
<form name="frmins" method="post" action="<? echo $urlbase ?>index.php" >
<?
$clevi ="testo_evi" ;

$tdstyle = "width:180px";

?>
<div class="boxgray rounded">

<div class="resp-row">
  <div class="titolo_evi">Dati generali</div>
</div>

<div class="spessore"></div>
<div class="spessore"></div>

<div class="form-row">
  <div class="form-label"><?=$lang['ragione_sociale']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_rs'] ?? '')?>" name="usr_rs" required >
  </div>
</div>

<div class="form-row">
  <div class="form-label"><?=$lang['piva']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_piva'] ?? '')?>" name="usr_piva" required >
  </div>
</div>

<div class="form-row">
  <div class="form-label"><?=$lang['cf']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_cf'] ?? '')?>" name="usr_cf" required >
    <span class="note">
      <input type="checkbox" name="cfpiva" value="1" onclick="toggleCF()" /> Coincide con la Partita IVA
    </span>
  </div>
</div>


<div class="spessore"></div>

<div class="resp-row">
  <div class="titolo_evi"><?=$lang['Referente']?></div>
</div>

<div class="spessore"></div>
<div class="spessore"></div>

<div class="form-row">
  <div class="form-label"><?=$lang['Nome']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_nome'] ?? '')?>" name="usr_nome" required >
  </div>  
</div> 

<div class="form-row">
  <div class="form-label"><?=$lang['Cognome']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_cognome'] ?? '')?>" name="usr_cognome" required >
  </div>  
</div> 

<div class="form-row">
  <div class="form-label">Email (username)*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_email'] ?? '')?>" name="usr_email" required >
  </div>  
</div> 

<div class="form-row">
  <div class="form-label">Password*</div>
  <div class="form-field">
    <input type="password" value="<?=stripslashes($_REQUEST['usr_password'] ?? '')?>" name="usr_password" id="usr_password" required >
  </div>  
</div> 

<div class="form-row">
  <div class="form-label">Ripeti Password*</div>
  <div class="form-field">
    <input type="password" value="<?=stripslashes($_REQUEST['usr_password2'] ?? '')?>" name="usr_password2" id="usr_password2" required >
  </div>  
</div>

<div class="form-row">
  <div class="form-label">Telefono*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_telefono'] ?? '')?>" name="usr_telefono" required >
  </div>  
</div>

</div>

<p>&nbsp;</p>
  
<? if($modreg!="0"){ ?> 
  
<div class="boxgray rounded">

<div class="resp-row">
  <div class="titolo_evi">Sede Legale</div>
</div>

<div class="spessore"></div>
<div class="spessore"></div>

<div class="form-row">
  <div class="form-label"><?=$lang['Paese']?>*</div>
  <div class="form-field">
    <select name="usr_codice_paese" title="Nazione" onchange="updNaz(this.value)" required >
				<option value=""></option>
				<? 
				$i=0;
        if(!isset($_REQUEST['usr_codice_paese'])) $_REQUEST['usr_codice_paese'] = 114;
				while($i<count($paesi))
				{ 
          $r=$paesi[$i++];
					$s=""; 
					$k = $r['id_nazione'];
					$v = $r['descrizione'];if(strtolower($v)=="italia" && !isset($_REQUEST['usr_codice_paese'])) $s = "selected";
					if($k==$_REQUEST['usr_codice_paese'] && isset($_REQUEST['usr_codice_paese'])) $s = "selected";
					echo "<option value=\"$k\" $s >".utf8_encode($v)."</option>";
					 
				 } ?>
		</select>
  </div>  
</div>


<?
     $styleit = "";
     $stylenonit="display:none";
     
     if(isset($_REQUEST['usr_codice_paese']) && $_REQUEST['usr_codice_paese']!=114 ){
     	$styleit = "display:none";
     $stylenonit="";
     }

     if(!isset($_REQUEST['usr_provincia'])) $_REQUEST['usr_provincia'] = "";
?>

<div class="form-row" id="cntprovincia" style="<?=$styleit?>">
  <div class="form-label">Provincia*</div>
  <div class="form-field">
    <select  name="usr_provincia" id="usr_provincia" onchange="javascript:loadComuni(this.value,'usr_');"  required>
                            <option value=""></option>
                            <?
                            $ip=0;
                            while($ip<count($province))
                              {
                               $rp=$province[$ip++];
                            	
                            	$s="";
                            	if($rp['codice_provincia']==$_REQUEST['usr_provincia']) $s = "selected";
                            	
                            	
                            	?>
                            	<option value="<?=$rp['codice_provincia']?>" <?=$s?> ><?=utf8_encode(mydecodeTxt($rp['nome_provincia']))?></option>
                            	<?
                            	
                            }
                             
                            ?>
    </select>
  </div>

</div>

<div class="form-row" id="cntcomune" style="<?=$styleit?>">
  <div class="form-label">Comune*</div>
  <div class="form-field">
	   <select name="usr_comune" id="usr_comune" class="" required>
	   
	     <option value=""></option>              
                        <? if(!isset($_REQUEST['usr_provincia']) || $_REQUEST['usr_provincia'] == ""){ ?>
                       
                            <option value=""><?=$lang['seleziona_provincia']?></option>
                       
                     <? } else { 
                     	
                     	if(isset($_REQUEST['usr_provincia']) ) {
						
                     	   $sql = "SELECT * FROM comuni WHERE codice_provincia = '".$_REQUEST['usr_provincia']."'";
                     	    $dbDati->Set_Sql($sql);
                            $ac = $dbDati->DoSelect();
                            #while($row=$dbDati->GetRow()) 
                             foreach($ac as $row)
                              {
                            	$str = ""; if($_REQUEST['usr_comune']==$row['codice_comune']) $str = "selected='selected'";
                                echo "<option value=\"".$row['codice_comune']."\" id=\"".$row['codice_comune']."\" $str >".utf8_encode(htmlentities($row['nome_comune']))."</option>\n";
                            }
                          } ?>
                        
                      <? } ?>  
     </select>
  </div>

</div>

<div class="form-row" id="cntlocalita"  style="<?=$styleit?>">
  <div class="form-label"><?=$lang['localita']?></div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_localita'] ?? '')?>" name="usr_localita" >
  </div>  
</div>

<div class="form-row" id="cntcitta" style="<?=$stylenonit?>">
  <div class="form-label"><?=$lang['citta'] ?? "Citt&agrave;"?></div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_citta'] ?? '')?>" name="usr_citta" >
  </div>  
</div>

<div class="form-row" id="cntcap" >
  <div class="form-label"><?=$lang['cap'] ?? "CAP"?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_cap'] ?? '')?>" name="usr_cap" required>
  </div>  
</div>

<div class="form-row" >
  <div class="form-label"><?=$lang['Indirizzo']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_indirizzo'] ?? '')?>" name="usr_indirizzo" required>
  </div>  
</div>

<div class="form-row" >
  <div class="form-label"><?=$lang['Civico']?>*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_civico'] ?? '')?>" name="usr_civico" required>
  </div>  
</div>

</div>
   
 
  <? } ?>

<?php
/*
 <? if(isset($domicilio) && $domicilio){ ?> 
  <p>&nbsp;</p>
  <div class="boxgray rounded">
<table cellspacing="4" cellpadding="2" border="0" align="center" width="97%">
   
    
 <? if(true){ ?>   
    <tr><td class="titolo_evi" colspan="2">Domicilio</td></tr>
     <tr><? $cl="testo"; if($ob['usr_codice_paese']==1) $cl=$clevi; ?>
     <td class="<?=$cl?>" id="label_DomiNazione"  style="<?=$tdstyle?>" ><span class="required" >*</span><?=$lang['Paese']?></td>
      <td class=""><select name="usr_domi_codice_paese" title="Nazione" onchange="updDomiNaz(this.value)">
				<option value=""></option>
				<? 
				$i=0;
				while($r=$paesi[$i++])
				{ 
					$s=""; 
					$k = $r['id_nazione'];
					$v = $r['descrizione'];if($v=="ITALY" && !isset($_REQUEST['usr_domi_codice_paese'])) $s = "selected";
					if($k==$_REQUEST['usr_domi_codice_paese'] && isset($_REQUEST['usr_domi_codice_paese'])) $s = "selected";
					echo "<option value=\"$k\" $s />$v</option>";
					$i++;
				 } ?>
				</select></td>
    </tr>
 <? } ?>
    <? if($language=="it"){ ?> 
    
    <?
     $styleit = "";
     $stylenonit="display:none";
     
     if(isset($_REQUEST['usr_domi_codice_paese']) && $_REQUEST['usr_domi_codice_paese']!=114 ){
     	$styleit = "display:none";
     $stylenonit="";
     }
    ?>
     <tr class="accordionh"  id="cntdomiprovincia"  style="<?=$styleit?>" >
     <? $cl="testo"; if($ob['usr_domi']==1) $cl=$clevi; ?>
     <td class="<?=$cl?>"><? if($ob['usr_domi']==1) echo "*" ?>Provincia</td>
	 <?
	 #$_REQUEST['usr_provincia']
	 ?><td class="">
	        <select  name="usr_domi_provincia" id="usr_domi_provincia" onchange="javascript:loadComuni(this.value,'usr_domi_');">
                            <option value=""></option>
                            <?
                            
                            $ip=0;
                            while($rp=$province[$ip++]){
                            	
                            	$s="";
                            	if($rp['codice_provincia']==$_REQUEST['usr_domi_provincia']) $s = "selected";
                            	
                            	
                            	?>
                            	<option value="<?=$rp['codice_provincia']?>" <?=$s?> ><?=mydecodeTxt($rp['nome_provincia'])?></option>
                            	<?
                            	
                            }
                             
                            
                            ?>
                        </select>
	  </td>
    </tr>
     <tr class="accordionh"  id="cntdomicomune"  style="<?=$styleit?>"><? $cl="testo"; if($ob['usr_domi']==1) $cl=$clevi; ?>
     <td  class="<?=$cl?>"><? if($ob['usr_domi']==1) echo "*" ?>Comune</td>
      <td class="">
	   <select name="usr_domi_comune" id="usr_domi_comune" class="">
	   
	   
                                      <option value=""></option>              
                        <? if(!isset($_REQUEST['usr_domi_provincia']) || $_REQUEST['usr_domi_provincia'] == ""){ ?>
                       
                            <option value=""><?=$lang['seleziona_provincia']?></option>
                       
                     <? } else { 
                     	
                     	if(isset($_REQUEST['usr_domi_provincia']) ) {
						
                     	   $sql = "SELECT * FROM comuni WHERE codice_provincia = '".$_REQUEST['usr_domi_provincia']."'";
                     	    $dbDati->Set_Sql($sql);
                            $dbDati->DoSelect();
                            while($row=$dbDati->GetRow()) {
                            	$str = ""; if($_REQUEST['usr_domi_comune']==$row['codice_comune']) $str = "selected='selected'";
                                echo "<option value=\"".$row['codice_comune']."\" id=\"".$row['codice_comune']."\" $str >".htmlentities($row['nome_comune'])."</option>\n";
                            }
                          } ?>
                        
                      <? } ?>  
                       </select>
	  </td>
    </tr>
  <? } ?>     
     <tr class="accordionh"  id="cntdomilocalita"  style="<?=$styleit?>">
     <td ><?=utf8_encode($lang['localita'])?></td>
      <td class=""><input type="text" value="<?=stripslashes($_REQUEST['usr_domi_localita'])?>" name="usr_domi_localita" ></td>
    </tr>
	  <tr class="accordionh"  id="cntdomicitta" style="<?=$stylenonit?>"><? $cl="testo"; if($ob['usr_domi']==1) $cl=$clevi; ?>
     <td  class="<?=$cl?>"><? if($ob['usr_domi']==1) echo "*" ?>Citt&agrave;</td>
      <td class=""><input type="text" value="<?=stripslashes($_REQUEST['usr_domi_citta'])?>" name="usr_domi_citta" ></td>
    </tr>
    <? if($language=="it"){ ?>   
     <tr class="accordionh"  id="cntdomicap"  style="<?=$styleit?>">
     <td  class="<?=$cl?>"><? if($ob['usr_domi']==1) echo "*" ?>CAP</td>
      <td class=""><input type="text" value="<?=$_REQUEST['usr_domi_cap']?>" name="usr_domi_cap" ></td>
    </tr>
   <? } ?>    
      <tr>
     <td  class="<?=$cl?>"><? if($ob['usr_domi']==1) echo "*" ?><?=$lang['Indirizzo']?></td>
      <td class=""><input type="text" value="<?=stripslashes($_REQUEST['usr_domi_indirizzo'])?>" name="usr_domi_indirizzo" ></td>
    </tr>
      <tr>
     <td  class="<?=$cl?>"><? if($ob['usr_domi']==1) echo "*" ?><?=$lang['Civico']?></td>
      <td class=""><input type="text" value="<?=stripslashes($_REQUEST['usr_domi_civico'])?>" name="usr_domi_civico"  <? if($ob['usr_resi']==1) echo "title=\"".$lang['Civico']."\"" ?>  ></td>
    </tr>
    
    
     </table>
  </div>
  <? } ?>
  */ ?>
  <div class="spessore"></div>
  <div class="spessore"></div>
  <?php
if(!isset($_REQUEST['usrf_campoFatt'])) $_REQUEST['usrf_campoFatt']="";
if(!isset($_REQUEST['usrf_valoreFatt'])) $_REQUEST['usrf_valoreFatt']="";
  ?>
<div class="boxgray rounded">

<div class="resp-row">
  <div class="titolo_evi">Dati per la fatturazione</div>
</div>

  <div class="spessore"></div>
  <div class="spessore"></div>

  
<div class="form-row">
  <div class="form-label">Pec*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usr_pec'] ?? '')?>" name="usr_pec" required >
  </div>  
</div> 


<div class="form-row">
  <div class="form-label">Codice SDI*</div>
  <div class="form-field">
    <input type="text" value="<?=stripslashes($_REQUEST['usrf_sdi'] ?? '')?>" name="usrf_sdi" required >
  </div>  
</div> 

</div>
 
  <div class="spessore"></div>
  <div class="spessore"></div>
    
  <div class="boxgray rounded">

  <div class="resp-row">
  <div class="titolo_evi">Condizioni</div>
</div>

  <div class="spessore"></div>
  <div class="spessore"></div>
<div class="resp-row" style="display:inline-table">
  <input type="checkbox" name="chk_condizioni" value="1" class="minichk" /> 
  <?=$lang['accetto_privacy']?>
 <a href="javascript:void(0);" onclick="showPrivacy()" class="mini">(visualizza)</a>
</div>
  <div class="spessore"></div>
<div class="resp-row"  style="display:inline-table">
  <input type="checkbox" name="chk_condizioni2" value="1" class="minichk" />
<?=$lang['accetto_contratto']?>
 <a href="javascript:void(0);" onclick="showContratto()" class="mini">(visualizza)</a>
</div>

     
</div>
  
  <div class="spessore"></div>
    <?
if($errmsg!=""){
?>
<div class="testo_err" align="center"><?=$errmsg?></div>
<? } ?>
      <? if(isset($_REQUEST['usr_provincia']) && $language=="it" && false) { ?>
                        <script language="JavaScript1.3" type="text/javascript">
                        
                            document.frmins.usr_provincia.value='<? echo $_REQUEST['usr_provincia']; ?>';
                           
                            loadComuniVal('<? echo $_REQUEST['usr_provincia']; ?>','usr_', '<? echo $_REQUEST['usr_comune']; ?>');
                            
                        </script>
                        <? } ?>
                        
               <? if(isset($_REQUEST['usr_domi_provincia']) && $language=="it" && false) { ?>
                        <script language="JavaScript1.3" type="text/javascript">
                        
                            document.frmins.usr_domi_provincia.value='<? echo $_REQUEST['usr_domi_provincia']; ?>';
                           
                            loadComuniVal('<? echo $_REQUEST['usr_domi_provincia']; ?>','usr_domi_', '<? echo $_REQUEST['usr_domi_comune']; ?>');
                            
                        </script>
                        <? } ?>
       <div class="spessore"></div>                 
     <div align="center"><div class="button1" onclick="checkdata()" ><p><?php echo strtoupper($lang['btn_continua']); ?></p></div></div>
   <? /* */ ?>
       <input type="hidden" name="sezione" value="registrazione-1">
   <input type="hidden" name="usr_codice" value="<? echo $usr_codice ?? ''; ?>">
    <input type="hidden" name="MSID" value="<? echo $mysessionid ?>">
    <input type="hidden" name="language" value="<? echo $language; ?>">
    <input type="hidden" name="azione" value="regAz">
    <input type="hidden" name="cat_associato" value="<?=$cat_associato ?? ''?>">
    <input type="hidden" name="modereg" value="<?=$modereg ?? ''?>">
    <input type="hidden" name="szto" value="<?=$szto ?? ''?>">
    <input type="hidden" name="keytime" value="<?=$keytime ?? ''?>">

    </form>
    
    
    <?
}
    
?>

<div class="spessore"></div>
  <div class="spessore"></div>
    